LayOut C API

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
layerlist.h File Reference
`#include <LayOutAPI/common.h>`
`#include <LayOutAPI/model/defs.h>`

Go to the source code of this file.

## Functions
LO_RESULT | LOLayerListCreate (LOLayerListRef *layer_list)
| Creates a new empty layer list object. More...
LO_RESULT | LOLayerListRelease (LOLayerListRef *layer_list)
| Releases a layer list object. *layer_list will be set to invalid by this function. More...
LO_RESULT | LOLayerListGetNumberOfLayers (LOLayerListRef layer_list, size_t *num_layers)
| Gets the number of layer definitions in the list. More...
LO_RESULT | LOLayerListGetLayerAtIndex (LOLayerListRef layer_list, size_t index, LOLayerRef *layer)
| Gets the layer definition at the specified index. More...

## Function Documentation

LO_RESULT LOLayerListCreate | ( | LOLayerListRef * | layer_list | ) |

Creates a new empty layer list object.

Parameters

  [out] | layer_list | The layer definition list object.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_OUTPUT if layer_list is NULL
  - SU_ERROR_OVERWRITE_VALID if *layer_list already refers to a valid object

LO_RESULT LOLayerListGetLayerAtIndex | ( | LOLayerListRef | layer_list,
|  | size_t | index,
|  | LOLayerRef * | layer
| ) |  |

Gets the layer definition at the specified index.

Parameters

  [in] | layer_list | The layer definition list object.
  [in] | index | The index of the layer definition object to get.
  [out] | layer | The layer definition object.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if layer_list does not refer to a valid object
  - SU_ERROR_OUT_OF_RANGE if index is out of range for this list
  - SU_ERROR_NULL_POINTER_OUTPUT if layer is NULL
  - SU_ERROR_OVERWRITE_VALID if *layer already refers to a valid object

LO_RESULT LOLayerListGetNumberOfLayers | ( | LOLayerListRef | layer_list,
|  | size_t * | num_layers
| ) |  |

Gets the number of layer definitions in the list.

Parameters

  [in] | layer_list | The layer definition list object.
  [out] | num_layers | The number of layer definitions in the list.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if layer_list does not refer to a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if num_layers is NULL

LO_RESULT LOLayerListRelease | ( | LOLayerListRef * | layer_list | ) |

Releases a layer list object. *layer_list will be set to invalid by this function.

Parameters

  [in] | layer_list | The layer definition list object.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_INPUT if layer_list is NULL
  - SU_ERROR_INVALID_INPUT if *layer_list does not refer to a valid object